package com.bjtdba.system.service;


import com.bjtdba.entity.system.Regions;

import java.util.List;

/**
 * (Regions)表服务接口
 *
 * @author makejava
 * @since 2022-10-17 17:37:44
 */
public interface RegionsService {

    /**
     * 通过ID查询单条数据
     *
     * @param
     * @return 实例对象
     */
    Regions queryById(Integer id);

    /**
     * 分页查询
     *
     * @param regions 筛选条件
     * @return 查询结果
     */
//    Page<Regions> queryByPage(Regions regions, PageRequest pageRequest);
    public List<Regions> queryList(Regions regions);
    /**
     * 新增数据
     *
     * @param regions 实例对象
     * @return 实例对象
     */
    Regions insert(Regions regions);

    /**
     * 修改数据
     *
     * @param regions 实例对象
     * @return 实例对象
     */
    Regions update(Regions regions);

    /**
     * 通过主键删除数据
     *
     * @param
     * @return 是否成功
     */
    boolean deleteById( );

}
